/*
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/*
 * Created by IntelliJ IDEA.
 * User: Administrator
 * Date: 28-Dec-02
 * Time: 22:24:51
 * To change template for new class use
 * Code Style | Class Templates options (Tools | IDE Options).
 */
package org.hd.d.pg2k.test.dev;

import junit.framework.TestCase;

/**Tiny test that can be used to ensure that JUnit mechanism is behaving.
 * This is useful as a preliminary in use from command-line, IDE, etc.
 */
public final class TinyTest extends TestCase
    {
    public TinyTest(String name)
        {
        super(name);
        }

    /**Simplest possible test. */
    public void testTruth()
        {
        assertTrue(true);
        }

    /**Only becomes true if setUp() does its thang. */
    private boolean flag;

    /**Test that setup/cleanup works. */
    public void testSetup()
        {
        assertTrue(flag);
        }

    /**Make sure that the streams are set up. */
    public void testOut()
        {
        assertNotNull(Main.getOut());
        assertNotNull(Main.getErr());
        }

    /**Do any setup needed for the tests. */
    protected void setUp()
        {
        flag = true;
        }

    /**Do any clearup needed after the tests. */
    protected void tearDown()
        {
        // cleanup code
        flag = false;
        }
    }
