#!/bin/sh
# Ensure correct and safe file permissions in the Gallery.

DATADIR=/local4/galleryDB.s0.l/photos

# Ensure all (plain) files are owned by dhd.
#/bin/chown -R dhd $DATADIR

# Ensure all (plain) files are globally readable and not globally writable.
/bin/chmod -R a+r,go-w $DATADIR

# Ensure all directories have global read/execute but not write.
exec /bin/find $DATADIR -type d -exec /bin/chmod a+rx,go-w {} \;
