#!/bin/sh
# Used to back up all small files in the Gallery data tree (should be .)
# which should catch all aux files (eg accession/description).
#
# Writes to an archive in the directory above.
# We sort and use -0 because
# the content is hardly compressable (eg lots of small files)
# and we can have a second pass with gzip or bzip2 if required.
find . -type f -size -4097c -print | sort | zip -q0 ../smallBak.zip -@
