<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%@ page import="org.hd.d.pg2k.webSvr.util.*,
                     org.hd.d.pg2k.svrCore.vars.*,
                     org.hd.d.pg2k.svrCore.*,
                     org.hd.d.tmf.ThroughputMonitorFilterBase,
                     org.hd.d.pg2k.webSvr.ads.*"
%><%--
     DEFAULT SKIN footer for HTML pages.

     May come in high-graphics and low-graphics modes,
     and my be parameterised per-virtual-site.

     Assumes that the matching standard header has been used
     and that all the variables that it set up are available.

     This expects to be able to use:
       * localeBean
       * pageStartTime

     This closes the open data cell in the table,
     adds a final row to the table with the copyright info,
     closes the table and the center tag, then ends the HTML page.

     If the page-level attribute WebConsts.SEARCH_TIME_MS_ATTR_NAME
     is defined and is a non-negative Long,
     it is assumed to be the (ms) search time incurred for the current page and is shown.


END THE BODY CELL
--%></td></tr><%--


INSERT ADLINKS FOOTER IF APPROPRIATE...
(IE if we have failed to use it elsewhere on the page.)
--%><% if(AdConsts.AD_SUPPORT && (null != request.getAttribute(AdConsts.ASLU_AVAILABLE_REQ_ATTR_NAME))) { %><%--
--%><tr bgcolor=<%= PageSkinUtils.GENERIC_ABG_COLOUR_QUOTED %>><td colspan=<%= TABLE_COLS %> align=center width=<%= PAGE_WIDTH %> height=20>

<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_color = "FFFFCC";
google_ad_width = 728;
google_ad_height = 15;
google_ad_format = "728x15_0ads_al";
google_ad_channel ="9686238065";
google_color_border = "FF0000";
google_color_bg = "FFFFCC";
google_color_link = "0000CC";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>

</td></tr><%--
--%><% request.setAttribute(AdConsts.ASLU_AVAILABLE_REQ_ATTR_NAME, null); /* AdLink unit is now used. */ %><%--
--%><% } %><%--


WARN THE USER if they are being treated like a spider and
              should manually reload the page because
              we've possibly given it a huge cache life...
--%><%
    //final boolean clientIsSpider = WebUtils.requestProbablyFromSpider(request);
    if(clientIsSpider) { %><tr bgcolor=<%= PageSkinUtils.GENERIC_ABG_COLOUR_QUOTED %>><td colspan=<%= PageSkinUtils.GENERIC_TABLE_COLS %>><%= java.text.DateFormat.getDateInstance(java.text.DateFormat.MEDIUM, localeBean.getLocale()).format(new java.util.Date()) %> <%= localeBean.getLocalisedMessage("common.mayReload") %></td></tr><% }
    %><%---

INSERT COPYRIGHT AND DOWNLOAD TIME (ETC).
--%><%
    // Get estimated system-wide number of users.
    final SimpleNumberStats uStats = (VarTools.generateSimpleNumberStats(dataSource,
                    SystemVariables.ThroughputMonitorFilter_STICKY_CLIENT_COUNT,
                    10 * 60 * 1000, // Max age about 10 minutes...
                    "#u"));
    // Show number of users (if value is available) as NNNu.
    // Assume that if uStats is not null then getSum() callong be either.
    final String nUsersS = ((uStats != null) && (uStats.getSum() != null)) ?
            (String.valueOf(uStats.getSum().intValue()) + "u ") : ("");

    final Object searchMsO =
        pageContext.getAttribute(WebConsts.SEARCH_TIME_MS_ATTR_NAME);
    String searchMsS = ""; // By default show nothing, else will be appended.
    if(searchMsO instanceof Long)
        {
        final long searchMs = ((Long) searchMsO).longValue();
        // Ignore zero or spuriously-short search times.
        if(searchMs > 1) { searchMsS = "[s" + searchMs + "]"; }
        }
    %><%--

--%><tr bgcolor=<%= PageSkinUtils.GENERIC_ABG_COLOUR_QUOTED %>><%--
--%><td colspan=<%= PageSkinUtils.GENERIC_TABLE_COLS-1 %>><%= localeBean.getLocalisedMessage("common.copyright") %></td><%--
--%><% final long pageStartTime = ((java.util.Date) request.getAttribute(org.hd.d.pg2k.webSvr.util.WebConsts.REQUEST_START_DATETIME_ATTR_NAME)).getTime(); /* Compute at last possible moment... */ %><%--
--%><% final long pageEndTime = System.currentTimeMillis(); /* Compute at last possible moment... */ %><%--

SHOW SYSTEM LOAD and other flags/stats
optional new-user flag "n"
optional busy flag "*"
optional number of users "[NNu]"
optional load %
optional page generation/search time in ms...
--%><td align=right><%--
    --%><%= (null != request.getAttribute(ThroughputMonitorFilterBase.REQ_ATTR_NAME_NEW_CLIENT_FLAG)) ? ("n") : "" %><%--
    --%><%= siteIsBusy /* Don't incur the cost of another call. */ ? "*" : "" %><%--
    --%><%= nUsersS %><%= pageEndTime-pageStartTime %>ms<%--
    --%><%= searchMsS %><%--

--%></td><%--
--%></tr><%--

END THE TABLE
--%></table><%--


CONVERSION TRACKING
If we have conversion tracking enabled (for one or more networks)
and this user is now "sticky", ie has viewed more than one page,
then insert the tracking codes.
--%><% if(AdConsts.AD_SUPPORT && AdConsts.ENABLE_CONV_TRACKING) { %><%--

// Allow Google's cross-channel tracking if we see the "gad" parameter.
--%><% if(request.getParameter("gad") != null) { %><%--
--%><br />
<!-- Google Code for Default Conversion Page -->
<script language="JavaScript" type="text/javascript">
<!--
var google_conversion_type = 'landing';
var google_conversion_id = 1070497197;
var google_conversion_language = "en_GB";
var google_conversion_format = "2";
var google_conversion_color = "ffffcc";
//-->
</script>
<script language="JavaScript" src="http://www.googleadservices.com/pagead/conversion.js">
</script>
<noscript>
<img height=1 width=1 border=0 src="http://www.googleadservices.com/pagead/conversion/1070497197/extclk?script=0">
</noscript>
<%--
--%><% } %><%--

// Log conversion for "sticky" user...
--%><% if(Boolean.TRUE.equals(request.getAttribute(ThroughputMonitorFilterBase.REQ_ATTR_NAME_NEW_CLIENT_FLAG))) { %><%--
--%><br />
<!-- Google Code for Default Conversion Page -->
<script language="JavaScript" type="text/javascript">
<!--
var google_conversion_id = 1070497197;
var google_conversion_language = "en_GB";
var google_conversion_format = "2";
var google_conversion_color = "ffffcc";
if (1) {
  var google_conversion_value = 1;
}
var google_conversion_label = "Default";
//-->
</script>
<script language="JavaScript" src="http://www.googleadservices.com/pagead/conversion.js">
</script>
<noscript>
<img height=1 width=1 border=0 src="http://www.googleadservices.com/pagead/conversion/1070497197/?value=1&label=Default&script=0">
</noscript>
<br />
<!-- begin AdBrite conversion tracking code -->
<script>
data = '_cpid=conversion&_uid=140208&'; dt = new Date(); var browserName = navigator.appName; var browserVer = parseInt(navigator.appVersion); var userLang = 'undefined'; if (browserVer >= 4) if (browserName == "Microsoft Internet Explorer") userLang = navigator.userLanguage; else userLang = navigator.language; data += '&url=' + document.URL; data += '&&ref=' + document.referrer; data += '&brw=' + navigator.appName; data += '&brv=' + navigator.appVersion; data += '&lng=' + userLang; data += '&plm=' + navigator.platform; data += '&tz=' + dt.getTimezoneOffset(); data += '&sw=' + window.screen.width; data += '&sh=' + window.screen.height; data += '&sc=' + window.screen.colorDepth; document.write('<img border=0 hspace=0 vspace=0 width=1 height=1 src=http://stats.adbrite.com/stats/stats.gif?' + escape(data) + '>');
</script>
<!-- end AdBrite conversion tracking code -->
<%--
--%><% application.log("[Tracking inserted for HTML/desktop client "+request.getRemoteAddr()+".]");  %><%--
--%><% } %><%--
--%><% } %><%--


END THE BODY AND PAGE
--%></body></html>