<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Provides default/stand-by advertisement designed to be viewed in an iframe
of approximately 120x600 pixels.

(May also be used to handle slightly wider 160x600 format.)

We'll drop an "image of the day" or "top-3 downloads" into here
so as to keep it interesting so people don't just blank it out.
We could have it disappear with the collapsing ad script sometimes.

We use a JSP to allow for the possibility of i18n.
--%><%@ page
    contentType="text/html;charset=UTF-8"
    import="org.hd.d.pg2k.webSvr.util.PageSkinUtils,
            org.hd.d.pg2k.webSvr.ads.AdUtils"
    session="false" %><%--
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- Get locale bean set up...
--%><%@ include file="/_common/_exhibitBean.inc.jsp" %><%-- Get exhibit data bean set up...
--%><html>
<body bgcolor=<%= PageSkinUtils.GENERIC_ABG_COLOUR_QUOTED %>>
<%= AdUtils.generateAdTowerFallbackHTML(application, localeBean, 160, 600) %>
</body>
</html>
