<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Provides referrals/house/always-available ads designed to be viewed in an iframe
of 728x90 pixels, eg after punt from AdSense with no ad copy for us.

This can serve as a final fallback for any suitable-shaped ad slot
as it is guaranteed to be filled.

--%><%@ page
    contentType="text/html;charset=UTF-8"
    import="java.io.*,
            java.net.*,
            java.text.*,
            java.util.*,
            org.hd.d.pg2k.svrCore.*,
            org.hd.d.pg2k.svrCore.props.*,
            org.hd.d.pg2k.webSvr.exhibit.*,
            org.hd.d.pg2k.webSvr.util.*"
    session="false"
    buffer="2kb" %><%--
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- Get locale bean set up...
--%><% final String lang = localeBean.getLocale().getLanguage(); %><%--
--%><html><%-- We use a colour scheme and layout to match the default page skin. --%>
<body bgcolor=<%= PageSkinUtils.GENERIC_ABG_COLOUR_QUOTED %>>
<center>

<% switch(Rnd.fastRnd.nextInt(5)) { %><%--

Begging note (some i18n)!
--%><% default: { %>
<font size="+1" color=<%= PageSkinUtils.GENERIC_AH_COLOUR_QUOTED %>>
<%= localeBean.getLocalisedMessage("common.mon.donRqst") %><br />
<a href="/_mon/pleasegive.jsp" target="_top"><%= localeBean.getLocalisedMessage("common.mon.donation") %></a><br />
$/EUR/&pound;
</font>
<% break; } %><%--

AdSense AS Referral (some i18n)
--%><% case 0: {
if("zh".equals(lang)) { /* Chinese(simp) */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as_rimg";
google_cpa_choice = "CAAQnaWdzgEaCINObkyS6oFDKIvN93M";
//--></script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<% } else if("de".equals(lang)) { /* German */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as_rimg";
google_cpa_choice = "CAAQ9-KbzgEaCLVFEaSfcKdPKK_B93M";
//--></script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<% } else { /* Default to English(UK)... */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as_rimg";
google_cpa_choice = "CAAQseebzgEaCLC3ZvZzM8UlKMXC93M";
//--></script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<% } /* End English. */ %>
<% break; } %><%--

AdSense FF Referral (some i18n)
--%><% case 1: {
if("zh".equals(lang)) { /* Chinese(simp) */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as_rimg";
google_cpa_choice = "CAAQq8b8zwEaCGyZtT-0SR1TKJnA93M";
//--></script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script><% } else if("de".equals(lang)) { /* German */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as_rimg";
google_cpa_choice = "CAAQ1avzzwEaCFSfh_d2e5vKKL2093M";
//--></script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<% } else { /* Default to English(UK)... */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as_rimg";
google_cpa_choice = "CAAQ97LzzwEaCCY9dWrSmP6NKNO193M";
//--></script>
<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<% } /* End English. */ %>
<% break; } %><%--

Casale Referral
--%><% case 2: { %>
<a href="http://www.casalemedia.com/referral?referredBy=114317"><img src="http://img.casalemedia.com/graphics/728-90-default-ad.gif" alt="Join Casale Media!" border="0"></a>
<% break; } %><%--

AdBrite Ads in one row.
--%><% case 3: { %>
<!-- Begin: AdBrite -->
<style type="text/css">
.adHeadline {font: bold 8pt Arial; text-decoration: underline; color: blue;}
.adText {font: normal 8pt Arial; text-decoration: none; color: black;}
</style>
<script type="text/javascript" src="http://3.adbrite.com/mb/text_group.php?sid=44471&amp;col=5&amp;br=1"></script>
<p />
<div><a class="adHeadline" target="_top" href="http://www.adbrite.com/mb/commerce/purchase_form.php?opid=44471&amp;afsid=1">Support the Gallery and Advertise with Us!</a></div>
<!-- End: AdBrite -->
<% break; } %><%--

--%><% } %><%-- End switch... --%>

</center>
</body>
</html>