<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>
<%--Invitation to donate, initially just for HTML.
--%><%@ page
    contentType="text/html;charset=UTF-8"
    import="java.io.*,
            java.net.*,
            java.text.*,
            java.util.*,
            org.hd.d.pg2k.svrCore.*,
            org.hd.d.pg2k.svrCore.props.*,
            org.hd.d.pg2k.webSvr.exhibit.*,
            org.hd.d.pg2k.webSvr.util.*"
    session="false"
    buffer="16kb" %><%--
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- Get locale bean set up...
--%><%@ include file="/_common/_exhibitBean.inc.jsp" %><%-- Get exhibit data bean set up...


HEADER
--%><% request.setAttribute(WebConsts.STDHDR_ATTR_NAME_TITLE, localeBean.getLocalisedMessage("common.mon.donation")); %><%--
--%><% request.setAttribute(WebConsts.STDHDR_ATTR_NAME_SUBTITLE, localeBean.getLocalisedMessage("common.mon.donRqst")); %><%--
--%><%@ include file="/_common/_HTMLStdHd.inc.jsp" %><%--



BODY...

General donation request.
--%><p><%--
--%><%= localeBean.getLocalisedMessage("common.mon.donRequestMessage1") %><%--
--%></p><%--

Table of methods...
--%><p><center><table border=1><%--
(EntroPay referral)
--%><tr><th>EntroPay</th><td><%= localeBean.getLocalisedMessage("common.mon.donRequestMessage.EPref") %></td><td align=center valign=center>
<a href="https://secure1.entropay.com/unprot/referer/refererProcessAction.do?method=start&amp;referrerID=referrerB"><img src="/_static/_3rdPartyImg/eplogo49x45.png" width=49 height=45 border=0 alt="Sign up with EntroPay"></a><%--
--%></td></tr><%--
(PayPal US$2)
--%><tr><th>PayPal US$2</th><td><%= localeBean.getLocalisedMessage("common.mon.donRequestMessage.PP-2") %></td><td align=center valign=center><%@ include file="/_mon/smalldon.inc.jsp" %></td></tr><%--
(PayPal generic)
--%><tr><th>PayPal US$, GBP, EUR</th><td><%= localeBean.getLocalisedMessage("common.mon.donRequestMessage.PP") %></td><td align=center valign=center><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="d@hd.org">
<input type="hidden" name="item_name" value="DHD Multimedia Gallery">
<input type="hidden" name="item_number" value="PP">
<input type="hidden" name="no_shipping" value="1">
<input type="hidden" name="return" value="http://<%= CoreConsts.MAIN_DATA_HOST %>/_mon/thankyou.jsp">
<input type="hidden" name="cancel_return" value="http://<%= CoreConsts.MAIN_DATA_HOST %>/_mon/cancel.jsp">
<input type="image" src="/_static/_3rdPartyImg/PPbut04.gif" width=62 height=31 border=0 name=donate alt="Make payments with PayPal - it's fast, free and secure!"></form></td></tr><%--
(PayPal credit card US$)
--%><tr><th>VISA/MC/... US$, GBP, EUR</th><td><%= localeBean.getLocalisedMessage("common.mon.donRequestMessage.PPCC") %></td><td align=center valign=center><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_xclick">
<input type="hidden" name="business" value="d@hd.org">
<input type="hidden" name="item_name" value="DHD Multimedia Gallery">
<input type="hidden" name="item_number" value="PPCC">
<input type="hidden" name="no_shipping" value="1">
<input type="hidden" name="return" value="http://<%= CoreConsts.MAIN_DATA_HOST %>/_mon/thankyou.jsp"><input type="hidden" name="cancel_return" value="http://<%= CoreConsts.MAIN_DATA_HOST %>/_mon/cancel.jsp">
<input type="image" src="/_static/_3rdPartyImg/PPbutcc-donate.gif" width=73 height=44 border=0 name=donate alt="Make payments with PayPal - it's fast, free and secure!"></form></td></tr><%--
(credit card direct &pound;)
--%><tr><th>VISA/MC/... &pound;</th><td><%= localeBean.getLocalisedMessage("common.mon.donRequestMessage.CC") %></td><td align=center valign=center><a href="mailto:d@hd.org"><img src="/_static/_3rdPartyImg/PPbutcc-donate.gif" width=73 height=44 border=0 alt=donate></a></td></tr><%--
--%></table></center></p><%--


--%><p><%--
--%><%= localeBean.getLocalisedMessage("common.cat.goToSearch") %><%--
--%></p><%--




FOOTER
--%><%@ include file="/_common/_HTMLStdFt.inc.jsp" %>
