<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%--

Top of "virtual" directory structure.

--%><%@ page
    import="org.hd.d.pg2k.svrCore.CoreConsts,
            org.hd.d.pg2k.webSvr.util.WebConsts,
            org.hd.d.pg2k.webSvr.virtualHosts.AlohaEarth.AEUtils"
    session="false"
%><%--

TIMING, LOCALE AND EXHIBIT BEANS...
--%><%@ include file="/_common/_SetPageStartTime.inc.jsp" %><%-- Note start time if not already done for standard footer.
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- i18n support...
--%><%@ include file="/_common/_exhibitBean.inc.jsp" %><%-- Get exhibit data bean set up...

HEADER
--%><% request.setAttribute(WebConsts.STDHDR_ATTR_NAME_TITLE, localeBean.getLocalisedMessage("common.main.VirtualCollections")); %><%--
--%><%@ include file="/_common/_HTMLStdHd.inc.jsp" %><%--



BODY
--%><p>Browse "virtual" collections that represent different views or slices through the exhibits:</p><%--
--%><ul><%--

--%><li><a href="best.jsp"><%= localeBean.getLocalisedMessage("common.selection.bestExhibits.title") %></a></li><%--

--%><li><a href="new.jsp"><%= localeBean.getLocalisedMessage("common.selection.newExhibits.title") %></a></li><%--

--%><li><a href="all/">All exhibits</a></li><%--

--%><li><a href="ByAuthor/">By author/contributor</a></li><%--

--%><li><a href="ByCategory/">By category</a></li><%--

--%><li><a href="<%= AEUtils.AE_SELF_RRURL %>">By location (Aloha Earth)</a></li><%--

--%><li><a href="Cust_icons/">All icons</a></li><%--

--%><li><a href="/_3D/">In 3D</a></li><%--

--%></ul><%--


FOOTER
--%><%@ include file="/_common/_HTMLStdFt.inc.jsp" %>
