<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>
<%--`Too busy' page in HTML.

    We try to keep this simple and with as small a buffer as we can
    to save scarce resources.

    We don't apply the full livery to the page;
    just roughly the same colour scheme.

--%><%@ page
    contentType="text/html;charset=UTF-8"
    import="java.io.*,
            java.net.*,
            java.text.*,
            java.util.*,
            org.hd.d.pg2k.svrCore.*,
            org.hd.d.pg2k.svrCore.props.*,
            org.hd.d.pg2k.webSvr.exhibit.*,
            org.hd.d.pg2k.webSvr.util.*"
    session="false"
    buffer="4kb" %><%-- Use a smallish buffer size to conserve memory.
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- Get locale bean set up...
--%><%
// No cacheing in case this is a redirection from a real page;
// we would not want this cached in its stead.
response.setHeader("Cache-Control", "no-cache");
response.setHeader("Pragma", "no-cache");
response.setHeader("Expires", "0");
response.setStatus(response.SC_SERVICE_UNAVAILABLE);
%><%--

HEADER
--%><% final String tooBusyTitle = localeBean.getLocalisedMessage("org.hd.pg2k.title") + ": " + localeBean.getLocalisedMessage("common.tooBusyTitle"); %><%--
--%><html><%--
--%><title><%= tooBusyTitle %></title><%--
--%><body bgcolor=<%= PageSkinUtils.GENERIC_BG_COLOUR_QUOTED %>><%--
--%><h1><%= tooBusyTitle %></h1><%--
<% request.setAttribute(WebConsts.STDHDR_ATTR_NAME_TITLE, tooBusyMsg); %>
<%@ include file="/_common/_HTMLStdHd.inc.jsp" %>

BODY: "Sorry, we're too busy right now..."
--%><font color=red size="+2"><%= localeBean.getLocalisedMessage("common.tooBusy") %></font><%---
Suggest a donation!
--%><p><a href="/_mon/pleasegive.jsp"><font size="+1" color=red><%= localeBean.getLocalisedMessage("common.mon.donRqst") %> <strong><%= localeBean.getLocalisedMessage("common.mon.donation") %><strong></font></a><%--


FOOTER
<%@ include file="/_common/_HTMLStdFt.inc.jsp" %>
--%></body></html>
