<%@ page import="org.hd.d.pg2k.webSvr.util.StatsSink,
                 org.hd.d.pg2k.webSvr.util.WebUtils"%>
 <%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%--

Accepts incoming stats events from, for example,
JavaScript in the user's browser.

Minimal page with some neutral text.

Is not cacheable.

Target for, for example, voting or ad-click counting.

--%><%@ page
    contentType="text/html;charset=UTF-8"
    session="false"
    buffer="2kb" %><%-- Use a small buffer to conserve memory.
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- Get locale bean set up...
--%><%
    // No cacheing of this object/"page" by the client.
    response.setHeader("Cache-Control", "no-cache");
    response.setHeader("Pragma", "no-cache");
    response.setHeader("Expires", "0");

    // Reject any non-human fetch by an over-keen "precaching" client/proxy.
    if(WebUtils.isPrecacheRequest(request))
        {
        response.sendError(HttpServletResponse.SC_FORBIDDEN, "Please do not attempt to 'precache' this URI!");
        return;
        }

    // Collect any legit event data,
    // and redirect if requested to.
    final String redirectURL = StatsSink.acceptEvent(request, application);
    if(redirectURL != null)
        {
        // The redirectURL had better not point back to this page...
        response.sendRedirect(redirectURL);
        return;
        }

    // Try to deter spiders from trying and retrying (expired) stats links...
    // Google in particular seems to have a stats fetish...
    if(WebUtils.requestProbablyFromSpider(request))
        {
        response.sendError(HttpServletResponse.SC_GONE, "Link expired.");
        return;
        }

%><html><body><%= localeBean.getLocalisedMessage("common.ThankYou") %></body></html>