/*
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

package org.hd.d.pg2k.clApp.uploader;

import javax.swing.*;

/**Represents the Upload Action.
 */
class SelectAction extends JLFAbstractAction {
    private static final long serialVersionUID = 1113806192613730802L;
    private static final String ACTION_COMMAND_KEY_UPLOAD= "select-command";
    private static final String NAME_UPLOAD = "Select...";
//    private static final String SMALL_ICON_UPLOAD = "About16.gif";
//    private static final String LARGE_ICON_UPLOAD = "About24.gif";
    private static final String SHORT_DESCRIPTION_UPLOAD = "Select a file to upload";
    private static final String LONG_DESCRIPTION_UPLOAD = "Select a file to upload to the DHD Multimedia Gallery";
    private static final int MNEMONIC_KEY_UPLOAD = 'S';

    public SelectAction() {
        putValue(Action.NAME, NAME_UPLOAD);
//        putValue(Action.SMALL_ICON, getIcon(SMALL_ICON_UPLOAD));
//        putValue(LARGE_ICON, getIcon(LARGE_ICON_UPLOAD));
        putValue(Action.SHORT_DESCRIPTION, SHORT_DESCRIPTION_UPLOAD);
        putValue(Action.LONG_DESCRIPTION, LONG_DESCRIPTION_UPLOAD);
        putValue(Action.MNEMONIC_KEY, Integer.valueOf(MNEMONIC_KEY_UPLOAD));
        putValue(Action.ACTION_COMMAND_KEY, ACTION_COMMAND_KEY_UPLOAD);
    }

}
