#!/bin/sh
# Used to merge hostIP data with existing IP -> ccTLD data.
# Input format is (uncompressed) hostIP.info MySQL dump format as at 2005/10.
# Thanks to hostIP.info for providing this data!

# Run this in the top-level project dir.

# Make sure that code is up-to-date else exit.
#ant svrCore.jar.dbg || exit 1

# Compute classpath.
COMPUTEDCLASSPATH="`echo checkedInPlugins/*.jar checkedInPlugins/ | tr ' ' ':' `"
#echo COMPUTEDCLASSPATH is $COMPUTEDCLASSPATH

set -x
exec java -server -Xmx2000m \
	-classpath ../out_D/svrCore.jar:$COMPUTEDCLASSPATH \
	org.hd.d.pg2k.svrCore.location.GeoUtils "$@"

