#!/bin/sh

# Build a static cache file for the master to pick up ready-made.

DATADIR=/rw/galleryDB.s0.l/photos
CACHEFILE="$DATADIR/_expropsCache.dat"

OPTS="-Xmx1500m -Xms256m"
export OPTS

# Now set up the java stuff...

#JAVA_HOME=/usr/jdk1.5.0; export JAVA_HOME
JAVA_HOME=/usr/jdk1.6.0; export JAVA_HOME
JAVACMD="$JAVA_HOME/bin/java -server"; export JAVACMD

if [ -f $CACHEFILE ]; then chmod 644 $CACHEFILE; fi
if $JAVACMD $OPTS -classpath ParTasks_1_0_0.jar:jai_codec.jar:jai_core.jar:svrCore.jar:jai_imageio.jar:metadata-extractor-2.3.1.jar \
	org.hd.d.pg2k.svrCore.datasource.ExhibitDataFileSource \
	"$@" $CACHEFILE; then
    chmod 644 $CACHEFILE
    chmod -R a+r $DATADIR/../_tn
    find $DATADIR/../_tn -type d -exec chmod a+rx {} \;
    echo OK
else
    echo FAILED
    exit 1
fi
