@echo off
rem Call with $0 [ run | start | stop ]

rem Starts/stops a test Tomcat server for Windows under JProfiler.

rem cd C:\dhd\PG2K\V1.0\PG2Ksrc

rem Assume a minimal Tomcat (4.X) has been unpacked in jakarta-tomcat.
set CATALINA_HOME=..\jakarta-tomcat-4.1.27
echo CATALINA_HOME: %CATALINA_HOME%

rem Tight memory constraints but with a lower limit that
rem should allow some SoftReference cacheing to work...
set CATALINA_OPTS=-Xmx64m -Xms32m

rem Run as an all-in-one WAR-only master.
set CATALINA_OPTS=%CATALINA_OPTS% -Dorg.hd.d.pg2k.WAR.disposition=waronly
rem Set up access to static global exhibit properties.
rem set CATALINA_OPTS=%CATALINA_OPTS% -Dorg.hd.d.pg2k.WAR.waronly.exglobdata=fs_conf\prePG2K\GlobalProperties.txt
rem Set up configuration for WAR-only test server.
rem set CATALINA_OPTS=%CATALINA_OPTS% -Dorg.hd.d.pg2k.WAR.waronly.configroot=fs_conf
rem Set bandwidth limit.
set CATALINA_OPTS=%CATALINA_OPTS% -Dorg.hd.d.pg2k.maxBytesPerSec=18000


rem The following lines have been added by the
rem application server integration wizard of JProfiler

set PATH=C:\Program Files\jprofiler4\bin\windows;%PATH%
set CATALINA_OPTS=-agentlib:jprofilerti=port=8849  "-Xbootclasspath/a:C:\Program Files\jprofiler4\bin\agent.jar" %CATALINA_OPTS%

rem end of modifications


rem Now set up the java stuff...
rem set JAVA_HOME=C:\Progra~1\Java\jdk1.5.0
set JAVA_HOME=C:\Progra~1\Java\jdk1.5.0_03
set JAVACMD=%JAVA_HOME%\bin\java -server

set arg1=%1%
if "%arg1%" == "" set arg1=run

call %CATALINA_HOME%\bin\catalina.bat %arg1%


pause
