<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%@ page import="org.hd.d.pg2k.webSvr.util.*,
                     org.hd.d.pg2k.webSvr.virtualHosts.VirtualHosts,
                     org.hd.d.pg2k.webSvr.exhibit.DataSourceBean,
                     org.hd.d.pg2k.webSvr.ads.AdUtils,
                     org.hd.d.pg2k.webSvr.ads.AdConsts"
%><%--
     Standard footer for HTML pages.

     May come in high-graphics and low-graphics modes,
     and may be parameterised per-virtual-site.

     Assumes that the matching standard header has been used
     and that all the variables that it set up are available.

     This expects to be able to use:
       * localeBean
       * dataSource
       * pageStartTime
       * vHost
       * clientIsSpider

     Selects the appropriate footer based on the VirtualHost.

     Inserts code to catch ad click-throughs (etc) for stats purposes,
     but minimised for non-spider/bot clients
     to save a little bandwidth immediately, and possible confusion later
     (spiders may try to follow any temporary tracking links we insert).

     Inserts general usage-tracking code, if enabled.


SITE STATS TRACKING
--%><% if(WebConsts.ENABLE_URCHIN_STATS) { request.setAttribute(WebConsts.URCHIN_REQ_ATTR_NAME, ""); %>
<script src="http://www.google-analytics.com/urchin.js" type="text/javascript">
</script>
<script type="text/javascript"><!--
_uacct = "UA-78356-1";
urchinTracker();
//--></script>
<% } /* End ENABLE_URCHIN_STATS */ %><%--


TRACK (sampling of) AdSense CLICKS, IF ANY
May only work in IE(6), may register duplicates, and may have other limitations.
AdSense tracking script, client-side, c/o http://www.webmasterworld.com/forum89/1788-16-10.htm
May be slightly expensive to do this tracking one way or another.
(We don't insert this code if ads (or AdSense) are globally disabled,
or for spiders/bots since we don't want them trying to follow the stats links...)
--%><% { %><%-- SCOPE LOCAL VARIABLES
--%><% if(AdConsts.AD_SUPPORT && !clientIsSpider && dataSource.getGenProps(-1).getWEBSVR_SIMPLEAD_ALLOW()) { %><%--
--%><% final String _uniqueASClickID = AdUtils.createAndFileClickThruListener(request, dataSource,
            /* Any tags to add to globals stats upon click-through... */
            layoutName,
            (String) request.getAttribute(AdConsts.RQPNAME_TOWERINTLAYOUT),
            (String) request.getAttribute(AdConsts.RQPNAME_MPINTLAYOUT) );  %><%--
--%><script type="text/javascript"><!--
<%-- // See what AdSense ads get clicked on... --%>
function aslog(e) {
window.focus();
<%-- //if (window.status.indexOf('go to') == 0) --%>
{
var adtrack = new Image();
adtrack.src = 'http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %><%= WebConsts.STATS_SINK_PAGE_RRURL %>?<%= StatsSink.HTTP_ID_PARAM_NAME %>=<%= _uniqueASClickID %>' +
'&url=' + escape(window.status) <%-- +
'&ref=' + escape(document.location.href) +
'&f=' + getVariable('format') +
'&cb=' + getVariable('color_border') +
'&cbg=' + getVariable('color_bg') +
'&cl=' + getVariable('color_link') +
'&cu=' + getVariable('color_url') +
'&ct=' + getVariable('color_text') --%>;
<% if(WebConsts.ENABLE_URCHIN_STATS /* && (null != request.getAttribute(WebConsts.URCHIN_REQ_ATTR_NAME)) */ ) { %>
urchinTracker('/_stats/AdSenseClick'); <%-- Fake pseudo-dir with no actual content. --%>
<% } %>
}
}

var iframeObj;
var elements;
elements = document.getElementsByTagName("iframe");
for (var i = 0; i < elements.length; i++) {
if(elements[i].src.indexOf('googlesyndication.com') > -1)
{
if (document.layers)
{
elements[i].captureEvents(Events.ONFOCUS);
}
elements[i].onfocus = aslog;
iframeObj = elements[i];
}
}

function getVariable(name) {
var dc = iframeObj.src;
var prefix = name + "=";
var begin = dc.indexOf("&" + prefix);
if (begin == -1) {
begin = dc.indexOf("?" + prefix);
if (begin == -1) return null;
} else
begin += 1;
var end = iframeObj.src.indexOf("&", begin);
if (end == -1)
end = dc.length;
return unescape(dc.substring(begin + prefix.length, end));
}
//--></script>
<%-- Insert linebreak for sanity of anyone reading the HTML...
--%><% } %><%--
--%><% } %><%-- END SCOPE OF LOCAL VARIABLES


--%><%
    final String _ft_skin = (vHost == null) ? null : vHost.skin;

    // Choose footer skin type: logic must match that for header.

    // Is this "black minimal" skin?
    if(VirtualHosts.SKIN_BLACK_MINIMAL.equals(_ft_skin))
        { %><%@ include file="/_common/skins/blackMin.ft.inc.jsp" %><% }

    // Else fall through to default skin.
    else
        { %><%@ include file="/_common/skins/default.ft.inc.jsp" %><% }

%>