<%@ page import="org.hd.d.pg2k.webSvr.util.WebConsts,
                 java.util.Locale,
                 org.hd.d.pg2k.svrCore.I18NTools,
                 org.hd.d.pg2k.webSvr.util.WebUtils,
                 org.hd.d.pg2k.webSvr.util.SessionVarBean,
                 org.hd.d.pg2k.svrCore.TextUtils,
                 org.hd.d.pg2k.webSvr.exhibit.DataSourceBean"%>
 <%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%--
    XHTML (mobile) and HTML compliant.

    Included in _HTMLStdHd.inc.jsp and XHTML pages
    in order to allow a user to force their locale.

    This option exists because lots of people seem not to know how to
    set their preferred locale in their broswer, or don't want to do it,
    or just don't do it...

    With this mechanism, the user clicks on an appropriate flag,
    and providing that they have enabled cookies so that we can maintain
    a session, their selection will force the locale we try to present
    to the user.

    If we can't maintain a session this definitely won't work.

    If the user's browser is caching pages this may appear not to
    work until the user hits Refresh/Reload.  IE6 behaves randomly.

    The languages/flags are ordered approximately most-used locale first
    (except that we keep the default en_GB locale first regardless).

    We assume the the localeBean is in scope.

--%><%-- <img src="/_static/icon/i18n.gif" width="16" height="14" /> --%><%--

--%><%
    { // Scope local variables...

    // Get main data source...
    final DataSourceBean _ds = DataSourceBean.getApplicationInstance(application);

    // Handle spiders slightly differently to avoid confusion...
    final boolean _isSpider = WebUtils.requestProbablyFromSpider(request);

    // Modify this copy with each desired locale in turn...
    final SessionVarBean _svb = SessionVarBean.getExtantSessionVars(request, true);

    // Get user's current locale.
    final Locale sessionVarLocale = _svb.getSessionVarLocale();
    final String currentLocale = (sessionVarLocale == null) ?
                                    null : sessionVarLocale.toString();

    // Try to allow some extra concurrency for fetching these images,
    // eg for non-pipelining broswers,
    // so that fetching these does not delay other page content.
    final String sneakyHostPrefix = WebUtils.getOptionalSneakyConcurrencyRRURLPrefix(request);

    // Display explicitly-supported locales
    // in approximate descending order of popularity.
    // We omit whichever locale we are in when we have an exact match
    // since the link is redundant.
    for(final Locale ll : I18NTools.MAIN_LOCALES)
        {
        final String ls = ll.toString();
        final boolean noLink = ls.equals(currentLocale);
        if(!noLink)
            { %><a href="<%= TextUtils.escapeHTMLMetaChars(_svb.setSessionVarLocale(ll).makeSessionVarSetURL(request, !_isSpider, _ds)) %>"><% }
        %><img src="<%= sneakyHostPrefix %>/_static/flags/<%=ls%>.gif" width="21" height="14" alt="[<%=ls%>]" title="<%=(noLink?("Selected: "+ls):ls)%>" /><%
        if(!noLink)
            { %></a><% }
        }

    } // End scope of local variables...

%>