<%@ page import="org.hd.d.pg2k.webSvr.util.LocaleBean"%>
 <%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%--

    SETS UP localBean BEAN.

    Should be included by any JSP that wants to be locale-sensitive.
    Creates a LocaleBean at request scope.
    Initialises (and reinitialises) as necessary.
    The unpleasant layout is to try to minimise the amount of spurious
    whitespace injected into a JSP including this device.

    We inject headers to indicate the fields we are relying on for
    content negotiation and the response language.

<jsp:useBean id="localeBean" class="org.hd.d.pg2k.webSvr.util.LocaleBean" scope="request"/><% localeBean.setRequest(request, application); %>
--%><%
final org.hd.d.pg2k.webSvr.util.LocaleBean localeBean = new LocaleBean();
localeBean.setRequest(request, application);
response.setLocale(localeBean.getLocale());
response.addHeader("Vary", "Accept-Language");
response.setHeader("Content-Language", "en, " + localeBean.getLocalisedMessage("lang.loc"));
%>
