<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%><%--

    DEFAULT SKIN header TOWER AD UNIT.

    Width is 0, 120 or 160 pixels.

    Height is from about 120 pixels to about 1400 pixels.

    We never show more than one ad-network tower at once
    where the network limits the number or positioning of those shown.
    This allows us more freedom with default/fallback options,
    ensures anything shown is/starts above-the-fold,
    and helps reduce page clutter and loading delay.

--%><%@ page
    import="java.io.*,
            java.net.*,
            java.util.*,
            org.hd.d.pg2k.svrCore.*,
            org.hd.d.pg2k.svrCore.props.*,
            org.hd.d.pg2k.webSvr.exhibit.*,
            org.hd.d.pg2k.webSvr.util.*,
            org.hd.d.pg2k.webSvr.bgImg.BgImageUtils,
            org.hd.d.pg2k.svrCore.MIME.ExhibitMIME,
            org.hd.d.pg2k.webSvr.ads.*,
            org.hd.d.pg2k.svrCore.vars.*,
            org.hd.d.tmf.ThroughputMonitorFilterBase"
    %>
<!-- Begin towers -->
<!-- google_ad_section_start(weight=ignore) --><%-- Please ignore all this ad stuff, dear MediaBot. --%>
<center><%-- TOWER UNITS ALL CENTRED... --%>
<%--

--%><% { %><%-- SCOPE LOCAL VARIABLES...

--%><% try { %><%-- Stop any exceptions from killing the whole JSP/page...


See if we should skip some of the ads for this page, ie if they perform badly.

Note that TF seems to have poorer connectivity than AS,
so should be dropped sooner than AS to preserve the user experience,
but TF is CPM rather than PPC based so we should make sure that
new visitors preferentially get to see TF ads if possible.

We avoid showing any CPM-based ads below the fold.

--%><%
final DataSourceBean _dsb_ = DataSourceBean.getApplicationInstance(application);

// Do we drop some ads in poorly-performing slots?
final boolean dropPoorSlots = AdConsts.DROP_MORE_ADS_FOR_ALT_CONTENT &&
                              "true".equals(_dsb_.getGenProps(-1).getGen().get("adDropPoorSlots"));

// Get the saved original request URI (or null if not available).
final Object _reqURI = request.getAttribute(ThroughputMonitorFilterPG2K.PNAME_SAVED_REQ_URI);

// Is this a new client (ie: totally new, or newly "sticky")?
final boolean _isNewClient =
    (null != request.getAttribute(ThroughputMonitorFilterBase.REQ_ATTR_NAME_NEW_CLIENT_FLAG)) ||
    (null != WebUtils.requestProbablyReferredFromExternalSite(request));

// Should we be showing some/all ads this time, for this URI?
// This is based on measuring click-through count (ie CTR).
final boolean _showAd = !AdUtils.skipUnderperformingAdSlot(_dsb_,
                                                           SystemVariables.ACCESSPATTERN_CLICKTHROUGH_BY_URI,
                                                           EventPeriod.VLONG,
                                                           AdUtils.canonicaliseURI((String) _reqURI));
%><%--

--%><% final AdTowerInternalLayout _towerLayout = AdUtils.selectAdTowerInternalLayout(
                                            _dsb_, request); %><%--
--%><% switch(_towerLayout) { %><%--


--%><% case WideMixed: %><%-- MOST COMMON FORMAT: AdLinks (usually), then TribalFusion variable-size tower OR AdSense wide tower.
--%><% { %><%-- Scope local vars for this case...
--%><% final String fallbackWideTowerContent = AdUtils.generateAdTowerFallbackHTML(application, localeBean, 160, 600); %><%--
Always punt AdLinks unit over to main header slot on poorly performing page...
--%><% if(_showAd || (towerPos != AdTowerPos.LEFT)) { %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_static/ads/120x90Rnd.html";
google_ad_width = 160;
google_ad_height = 90;
google_ad_format = "<%= Rnd.fastRnd.nextBoolean() ? "160x90_0ads_al" : "160x90_0ads_al_s" %>";
google_ad_channel ="1251112420";
google_color_link = "0000FF";
google_color_border = "<%= (_showAd || Rnd.fastRnd.nextBoolean()) ? "FFFFFF" : "FF0000" %>";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Warn the user that they have JavaScript disabled. --%>
<noscript><p><strong>You have JavaScript disabled, so some features of this site will not work.</strong></p></noscript>
<br />
<% } else { request.setAttribute(AdConsts.ASLU_AVAILABLE_REQ_ATTR_NAME, Boolean.TRUE); /* Note that the AdLink unit normally here is now available for use elsewhere. */ } %>

<br />
<% if(_isNewClient || (_showAd == (Rnd.fastRnd.nextInt(3) != 0))) { /* Usually skip TF ad in underperforming slot, but never for new visitors. */ %>
<%= (new TribalFusionBean()).setParams(TribalFusionBean.AD_FORMAT_TF_TOWER_WIDE_IF).getHTMLBodyInsert(null, Rnd.fastRnd) %>
<% } else if(dropPoorSlots && !_showAd && Rnd.fastRnd.nextBoolean()) { %><%--
On poorly-performing pages, show alternate interesting info some of the time...
--%><%= fallbackWideTowerContent %><%--
--%><% } else { %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_mon/ads/160x600DefaultAd.jsp?ft=AS&fm=<%= _towerLayout %>"; <%-- Replace if no ad... --%>
google_ad_width = 160;
google_ad_height = 600;
google_ad_format = "160x600_as";
google_ad_channel ="9528883465";<%-- "TowerWide" channel... --%>
google_color_link = "0000FF";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Show something useful to a visitor without JavaScript enabled. --%>
<noscript>
<%= fallbackWideTowerContent %>
</noscript>
<% } /* End AdSense conditional. */ %>
<br />
<% break; } %><%--


--%><% case NarrowMixed: %><%-- AdLinks and TF/AS narrow towers...
--%><% { %><%-- Scope local vars for this case...
--%><% final String fallbackNarrowTowerContent = AdUtils.generateAdTowerFallbackHTML(application, localeBean, 120, 600); %><%--
--%>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_static/ads/120x90Rnd.html";
google_ad_width = 120;
google_ad_height = 90;
google_ad_format = "<%= Rnd.fastRnd.nextBoolean() ? "120x90_0ads_al" : "120x90_0ads_al_s" %>";
google_ad_channel ="1251112420";
google_color_link = "0000FF";
google_color_border = "<%= (_showAd || Rnd.fastRnd.nextBoolean()) ? "FFFFFF" : "FF0000" %>";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Warn the user that they have JavaScript disabled. --%>
<noscript><p><strong>You have JavaScript disabled, so some features of this site will not work.</strong></p></noscript>
<br />

<br />
<% if(_isNewClient || (_showAd == (Rnd.fastRnd.nextInt(4) != 0))) { /* Usually skip TF ad in underperforming slot, but never for new visitors. */ %>
<%= (new TribalFusionBean()).setParams(TribalFusionBean.AD_FORMAT_TF_TOWER_NARROW_IF).getHTMLBodyInsert(null, Rnd.fastRnd) %>
<% } else if(dropPoorSlots && !_showAd && Rnd.fastRnd.nextBoolean()) { %><%--
On poorly-performing pages, show alternate interesting info some of the time...
--%><%= fallbackNarrowTowerContent %><%--
--%><% } else { %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_mon/ads/120x600DefaultAd.jsp?ft=AS&fm=<%= _towerLayout %>";<%-- Collapse/replace if no ad... --%>
google_ad_width = 120;
google_ad_height = 600;
google_ad_format = "120x600_as";
google_ad_channel ="5011725300";<%-- "Tower" channel... --%>
google_color_link = "0000FF";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Show something useful to a visitor without JavaScript enabled. --%>
<noscript>
<%= fallbackNarrowTowerContent %>
</noscript>
<% } /* End AdSense conditional. */ %>
<br />
<% break; } %><%--



--%><% case NarrowShort: %><%-- AdLinks (optional) and AS narrow short towers...
--%><% { %><%-- Scope local vars for this case...
--%><% final String fallbackNarrowShortTowerContent = AdUtils.generateAdTowerFallbackHTML(application, localeBean, 120, 240); %><%--
--%>
<% if(_showAd && (towerPos != AdTowerPos.LEFT)) { /* Skip generic AdLinks block on LEFT and for poorly-performing page. */ %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_static/ads/120x90Rnd.html";
google_ad_width = 120;
google_ad_height = 90;
google_ad_format = "<%= Rnd.fastRnd.nextBoolean() ? "120x90_0ads_al" : "120x90_0ads_al_s" %>";
google_ad_channel ="1251112420";
google_color_link = "0000FF";
google_color_border = "<%= (_showAd || Rnd.fastRnd.nextBoolean()) ? "FFFFFF" : "FF0000" %>";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Warn the user that they have JavaScript disabled. --%>
<noscript><p><strong>You have JavaScript disabled, so some features of this site will not work.</strong></p></noscript>
<br />
<% } else { request.setAttribute(AdConsts.ASLU_AVAILABLE_REQ_ATTR_NAME, Boolean.TRUE); /* Note that AdLink unit is available for use elsewhere. */ } %>

<br />
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_ad_width = 120;
google_ad_height = 240;
google_ad_format = "120x240_as";
google_ad_channel ="7608135316";<%-- VerticalBanner channel --%>
google_color_link = "0000FF";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Show something useful to a visitor without JavaScript enabled. --%>
<noscript>
<%= fallbackNarrowShortTowerContent %>
</noscript>
<br />
<% break; } %><%--


--%><% case WideAS: %><%-- AdLinks and AdSense wide tower: default because AS wide tower higher CTR than AS normal tower as at 20041013...
--%><% default: %><%-- Fallback format in case we get out of sync with format chooser code!
--%><% { %><%-- Scope local vars for this case...
--%><% final String fallbackWideTowerContent = AdUtils.generateAdTowerFallbackHTML(application, localeBean, 160, 600); %><%--
Often punt AdLinks unit over to main header slot on poorly performing page...
--%><% if(_showAd || (towerPos != AdTowerPos.LEFT) || Rnd.fastRnd.nextBoolean()) { %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_static/ads/120x90Rnd.html";
google_ad_width = 160;
google_ad_height = 90;
google_ad_format = "<%= Rnd.fastRnd.nextBoolean() ? "160x90_0ads_al" : "160x90_0ads_al_s" %>";
google_ad_channel ="1251112420";
google_color_link = "0000FF";
google_color_border = "<%= (_showAd || Rnd.fastRnd.nextBoolean()) ? "FFFFFF" : "FF0000" %>";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Warn the user that they have JavaScript disabled. --%>
<noscript><p><strong>You have JavaScript disabled, so some features of this site will not work.</strong></p></noscript>
<br />
<% } else { request.setAttribute(AdConsts.ASLU_AVAILABLE_REQ_ATTR_NAME, Boolean.TRUE); /* Note that the AdLink unit normally here is now available for use elsewhere. */ } %>


<br />
<% if(!_showAd && (_isNewClient || Rnd.fastRnd.nextBoolean()) && Rnd.fastRnd.nextBoolean()) { %><%--
On poorly-performing pages, show CPM ads some of the time...
--%><%= (new TribalFusionBean()).setParams(TribalFusionBean.AD_FORMAT_TF_TOWER_WIDE_IF).getHTMLBodyInsert(null, Rnd.fastRnd) %><%--
...or show interesting alternative content some of the time...
--%><% } else if(dropPoorSlots && !_showAd && Rnd.fastRnd.nextBoolean()) { %><%--
--%><%= fallbackWideTowerContent %><%--
--%><% } else { %>
<script type="text/javascript"><!--
google_ad_client = "pub-4667114163381926";
google_alternate_ad_url = "http://<%= request.getServerName() %><%= (request.getServerPort() == 80) ? "" : ":"+request.getServerPort() %>/_mon/ads/160x600DefaultAd.jsp?ft=AS&fm=<%= _towerLayout %>";<%-- Collapse/replace if no ad... Note "wrong" format --%>
google_ad_width = 160;
google_ad_height = 600;
google_ad_format = "160x600_as";
google_ad_channel ="9528883465";<%-- "TowerWide" channel... --%>
google_color_link = "0000FF";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<%-- Show something useful to a visitor without JavaScript enabled. --%>
<noscript>
<%= fallbackWideTowerContent %>
</noscript>
<% } /* End AdSense conditional... */ %>
<br />
<% break; } %><%--


--%><% } /* End of switch. */

%><%--


ALWAYS PUT IN TRAILING ADBRITE (NARROW) TOWER (if enabled)
We put this in an iframe to decouple page-load time from ad server performance!
We don't bother with alternative material for non-iframe browsers.
--%>
<% if(AdConsts.ENABLE_ADBRITE && (_towerLayout != AdTowerInternalLayout.NarrowShort)) { %>
<br />
<iframe width="<%= 150 + Rnd.fastRnd.nextInt(11) %>" height="450" src="/_static/ads/120x600ABAd.html" title="AdBrite Ads" frameborder="0" marginwidth="0" marginheight="0" scrolling="no" allowTransparency="true"></iframe>
<br />
<% } /* end AB */ %>
<%--


DROP IN SOME LINKS TO POPULAR/USEFUL PAGES
This is most likely to be helpful on pages where ads don't work.
Always make this a narrow, short-ish, trailing tower.
--%><% final String links = HTMLThumbnailInsertGenerators.popularUsefulLinksNarrowCol(_dsb_, 240, 120, false); %><%--
--%><% if(!"".equals(links)) { %><%--
--%>
<br />
<table><tr><th bgcolor=<%= PageSkinUtils.GENERIC_BG_COLOUR_QUOTED %>><%= localeBean.getLocalisedMessage("common.tower.Popular") %></th></tr><tr><td width=110 bgcolor=<%= PageSkinUtils.GENERIC_BG_COLOUR_QUOTED %> align=center><span style="text-overflow: clip;"><%= links %></span></td></tr></table>
<br />
<%--
--%><% } %><%--

--%><% } catch(final Exception _taie_) { application.log("Caught unexpected Exception while making ad tower insert", _taie_); } %><%-- Avoid killing whole page.

--%><% } %><%-- END: SCOPE LOCAL VARIABLES...

--%>
</center>
<!-- google_ad_section_end -->
<!-- End towers -->
