<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Provides default/stand-by advertisement designed to be viewed in an iframe
of approximately 468x60 pixels.

Should also work in larger (eg 728x90 leaderboard) slots if need be.

A typical/expected use is for self-advertising
when the ad networks have no suitable ads for us.

We use a JSP to allow for the possibility of i18n.

This does NOT punt to another URL but directly displays content
and can be the "base case" for any chain of ad networks.
--%><%@ page
    contentType="text/html;charset=UTF-8"
    import="java.io.*,
            java.net.*,
            java.text.*,
            java.util.*,
            org.hd.d.pg2k.svrCore.*,
            org.hd.d.pg2k.svrCore.props.*,
            org.hd.d.pg2k.webSvr.exhibit.*,
            org.hd.d.pg2k.webSvr.util.*"
    session="false"
    buffer="2kb" %><%--
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- Get locale bean set up...
--%><html><%-- We use a colour scheme and layout to match the default page skin. --%>
<body bgcolor=<%= PageSkinUtils.GENERIC_ABG_COLOUR_QUOTED %>>
<p align=center><font size="+1" color=<%= PageSkinUtils.GENERIC_AH_COLOUR_QUOTED %>>
<%= localeBean.getLocalisedMessage("common.mon.donRqst") %><br />
<a href="/_mon/pleasegive.jsp" target="_top"><%= localeBean.getLocalisedMessage("common.mon.donation") %></a>
</font></p>
</body>
</html>