<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Includes AdMob mobile ad in-line in JSP page.

--%><%@ page import="java.util.*,java.io.*,java.net.*,java.net.InetAddress" %>
<% 
// editable area
String mob_mode = "live"; // change mode from "test" to "live" when you are done testing
String mob_alternate_link = ""; // use this to set a default link to appear if AdMob does return an ad.
// end editable area
// user agent and IP: used for ad targeting
String mob_ua = URLEncoder.encode(request.getHeader("User-Agent"), "UTF-8");
String mob_ip = URLEncoder.encode(request.getRemoteAddr(), "UTF-8");
String mob_m = "";
if (mob_mode.equals("test")) {
mob_m = "&m";
}
String mob_url =
"http://ads.admob.com/ad_source.php?s=a14524f47cb0a2e&u=" + mob_ua + "&i=" + mob_ip + mob_m;
String mob_contents = "";
// fetch data
try {
URL url = new URL(mob_url);


                // Prevent poor connectivity to the ad server
                // from vastly delaying page delivery to the end-user.
                // Since page creation time is usually << 1s,
                // and any TCP/IP connection that's going to work
                // usually "makes" in < 1s,
                // then we should have timeouts ~1s.
                final HttpURLConnection connection =
                    (HttpURLConnection) url.openConnection();
                connection.setConnectTimeout(1000);
                connection.setReadTimeout(1000);
                final InputStream in = connection.getInputStream();


//InputStream in = url.openStream();
InputStreamReader isr = new InputStreamReader(in);
BufferedReader br = new BufferedReader(isr);
String line;
while ((line = br.readLine()) != null) {
mob_contents += line;
}
} catch (Exception e) {
out.println(mob_alternate_link);
                application.log("WARNING: AdMob Exception");
}
// parse response and print
String mob_ad_text = "";
String mob_ad_link = "";
if (mob_contents.length() > 0) {
String[] mob_link = mob_contents.split("><");
mob_ad_text = mob_link[0];
mob_ad_link = mob_link[1];
}
if (mob_ad_link.length() != 0) {
// display AdMob Ad
out.println("<a href='" + mob_ad_link +"'>" + mob_ad_text + "</a>");
} else {
// no AdMob ad, display alternate
out.println(mob_alternate_link);
}
%>