<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>
<%@ page
    import="org.hd.d.pg2k.svrCore.CoreConsts"
    session="false"
%><%--

LOCALE AND EXHIBIT BEANS...
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- i18n support...
--%><%@ include file="/_common/_exhibitBean.inc.jsp" %><%-- Get exhibit data bean set up...

HEADER
--%><% request.setAttribute(WebConsts.STDHDR_ATTR_NAME_TITLE, "Privacy"); %><%-- FIXME: Needs i18n.
--%><%@ include file="/_common/_HTMLStdHd.inc.jsp" %><%--

BODY
--%>
<h1>Privacy</h1>

<p>We believe in the importance of keeping your personal information private.
    We will never use your information for any use beyond that stated or the
    additional permissions that you give us.</p>

<h2>Cookies</h2>

<p>The Gallery uses temporary cookies where necessary to maintain information
    (such as which language you have indicated that you prefer to use)
    during a single browsing session.
    Some of our advertisers may use other forms of cookies
    (see "Advertisers" below).</p>

<h2>Server Logs and Statistics</h2>

<p>Our servers, as with virtually all Web servers, will record your IP address
    when you visit.  We may also record and/or display non-personal statistics
    such as current number of users and popular site items.  The Gallery does
    not use such information for tracking the activities of specific users.
    We may use such information to avert misuse of resources such as
    bandwidth or breaches of our
    <a href="/terms.html">terms and conditions</a> of use.</p>

<h2>Advertisers</h2>

<p>The Gallery contains some links to third-party advertisers.  We expect
    them to respect your personal data in a broadly similar way to the
    privacy policy described in this page.</p>

<h2>Email, Forms and other Feedback</h2>

<p>If you respond to us through any explicit feedback, for example by email,
    we will not use your data in any way not advertised with that feedback
    mechanism unless agreed with you.</p>

<h2>Changes</h2>

<p>Our policies may change from time to time, for example as laws are changed.
    We will always attempt to protect your privacy, but you may wish to check
    this page or its successors from time to time to remain up-to-date with
    our policy.</p>

<%--


FOOTER
--%><%@ include file="/_common/_HTMLStdFt.inc.jsp" %><%--


--%>
