<%--
Copyright (c) 1996-2007, Damon Hart-Davis
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the
    distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--%>
<%@ page
    import="org.hd.d.pg2k.svrCore.CoreConsts,
            org.hd.d.pg2k.webSvr.util.WebConsts"
    session="false"
%><%--

LOCALE AND EXHIBIT BEANS...
--%><%@ include file="/_common/_localeBean.inc.jsp" %><%-- i18n support...
--%><%@ include file="/_common/_exhibitBean.inc.jsp" %><%-- Get exhibit data bean set up...

HEADER
--%><% request.setAttribute(WebConsts.STDHDR_ATTR_NAME_TITLE, "To-Do List"); %><%--
--%><%@ include file="/_common/_HTMLStdHd.inc.jsp" %><%--

BODY
--%>
<h1>Things To Upload/Scan</h1>

<p>This page is a rough and partial list of items waiting to be scanned
   or otherwise loaded into the Gallery.</p>

<p>This page content is English-only.</p>


<p>
<table>
<tr>
<th>What of and where stored in what form</th>
<th>When received/taken</th>
<th>Who</th>
</tr>

<tr>
<td>South Africa, digital on laptop, and oddments to scan.</td>
<td>2005/03</td>
<td>DHD/JR</td>
</tr>

<tr>
<td>Crete, digital on laptop, and oddments to scan.</td>
<td>2004/04</td>
<td>DHD/JR</td>
</tr>

<tr>
<td>Dublin/Faro pics, digital on laptop, and oddments to scan.</td>
<td>2004/02</td>
<td>DHD/JR</td>
</tr>

<tr>
<td>Guatamala and Cancun.</td>
<td>2003/12</td>
<td>BG</td>
</tr>

<tr>
<td>Vienna, digital on laptop, and oddments to scan.</td>
<td>2003/12</td>
<td>DHD/JR</td>
</tr>

<tr>
<td>Trier/Luxembourg/Frankfurt, digital on laptop, and oddments to scan.</td>
<td>2003/10/17--20</td>
<td>DHD/JR</td>
</tr>

<tr>
<td>Finland, digital on laptop, and oddments to scan.</td>
<td>2003/08/23--30</td>
<td>DHD/JR</td>
</tr>


</table>
</p>






<%--


FOOTER
--%><%@ include file="/_common/_HTMLStdFt.inc.jsp" %><%--


--%>
